> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Export Job Items

> Fetch a list of export job items



## OpenAPI

````yaml get /v1/export-jobs/{jobId}/items
openapi: 3.0.1
info:
  title: Export API
  description: >
    This API enables you to perform the following:

    - Retrieve a list of accounting entries that have been exported to the
    external ERP/accounting system.

    - Create a new export job event.

    - Retrieve a list of existing export jobs and create a new one.

    - Retrieve details of an export job.

    - Retrieve a list of export job items and update their information.
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 32.4.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: health
  - name: export-items
  - name: export-jobs
  - name: admin
  - name: export-job-items
  - name: Export API (v2)
  - name: Export Items (v2)
  - name: Export API (v3)
  - name: Export Items (v3)
paths:
  /v1/export-jobs/{jobId}/items:
    get:
      tags:
        - Export API (v1)
      summary: Get Export Job Items
      description: Fetch a list of export job items
      operationId: getExportJobItemsV1
      parameters:
        - name: jobId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: Export Job ID
            format: uuid
        - name: status
          in: query
          description: >-
            Enter a specific status with which the list of export job items
            returned conforms.
          required: false
          style: form
          explode: true
          schema:
            type: string
            nullable: true
            enum:
              - pending
              - in_progress
              - failed
              - successful
              - abandoned
        - name: before
          in: query
          description: >-
            Lower bound of the page of data to return (cannot be used together
            with [after] or [offset]).
          required: false
          style: form
          explode: true
          schema:
            pattern: ^[A-Z2-7=~]+$
            type: string
        - name: after
          in: query
          description: >-
            Upper bound of the page of data to return (cannot be used together
            with [before] or [offset]).
          required: false
          style: form
          explode: true
          schema:
            pattern: ^[A-Z2-7=~]+$
            type: string
        - name: offset
          in: query
          description: >-
            Offset of the page of data to return (cannot be used together with
            [before] or [after]).
          required: false
          style: form
          explode: true
          schema:
            minimum: 0
            type: integer
            format: int64
        - name: limit
          in: query
          description: The maximum amount of items to return.
          required: false
          style: form
          explode: true
          schema:
            minimum: 0
            type: integer
            format: int32
        - name: sorting_keys
          in: query
          description: The keys to sort the results by.
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: sorting_order
          in: query
          description: >-
            The order to sort the results by. Must be the same length as
            [sortingKeys]; one order per key.
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              $ref: '#/components/schemas/PageOrder'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/CursorPaginatedResponseExportJobItem'
      deprecated: true
components:
  schemas:
    PageOrder:
      type: string
      enum:
        - ASC
        - ASC_NULLS_FIRST
        - ASC_NULLS_LAST
        - DESC
        - DESC_NULLS_FIRST
        - DESC_NULLS_LAST
    CursorPaginatedResponseExportJobItem:
      required:
        - data
        - pagination
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExportJobItem'
        pagination:
          $ref: '#/components/schemas/CursorPageInfo'
    ExportJobItem:
      required:
        - accountingEntryId
        - exportJobId
        - status
      type: object
      properties:
        accountingEntryId:
          type: string
          description: The accounting entry identifier being exported.
          format: uuid
        exportJobId:
          type: string
          description: The export job identifier for which this item belongs to.
          format: uuid
        exportedAt:
          pattern: YYYY-MM-DDTHH:mi:ssZ
          type: string
          description: Date and time the item was exported.
          format: date-time
          nullable: true
        externalId:
          type: string
          description: >-
            This is an external identifier of the corresponding accounting entry
            in the accounting system after export.
          nullable: true
        externalUrl:
          type: string
          description: >-
            This is the external URL pointing to the accounting entry resource
            in the accounting system after the export.
          nullable: true
        failureReason:
          type: string
          description: Reason why the export of this item failed in the case of a failure.
          nullable: true
        failureReasonType:
          type: string
          description: >-
            The classification for the failure from a list of described failure
            reason types.
          nullable: true
          enum:
            - receipt_upload_failure
            - receipt_download_failure
            - receipt_file_size_limit_exceeded
            - receipt_conversion_failure
            - unexpected_failure
            - invalid_configuration
            - missing_configuration
            - accounting_system_authentication_failure
            - accounting_system_rate_limit
            - accounting_system_unreachable
            - validation_failure
            - accounting_system_validation_failure
            - authorization_failure
            - accounting_system_timeout
        status:
          type: string
          description: >-
            Status of the export job Item after being processed. The status of
            the export job item is null until an attempt has been made to
            process the export job item.
          enum:
            - pending
            - in_progress
            - failed
            - successful
            - abandoned
    CursorPageInfo:
      required:
        - currentRequestPagination
        - hasNextPage
        - hasPreviousPage
      type: object
      properties:
        currentRequestPagination:
          $ref: '#/components/schemas/CursorPageCurrentRequestInfo'
        endCursor:
          type: string
        hasNextPage:
          type: boolean
        hasPreviousPage:
          type: boolean
        startCursor:
          type: string
        total:
          type: integer
          format: int64
    CursorPageCurrentRequestInfo:
      required:
        - parameters
      type: object
      properties:
        after:
          type: string
        before:
          type: string
        limit:
          type: integer
          format: int32
        offset:
          type: integer
          format: int64
        parameters:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        sortingKeys:
          type: array
          items:
            type: string
        sortingOrder:
          type: array
          items:
            $ref: '#/components/schemas/PageOrder'
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````